SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Database)  >   Microsoft Jet Vendors:   Microsoft
Microsoft Jet Database Buffer Overflow in 'msjet40.dll' Lets Remote Users Execute Arbitrary Code via Word Documents
SecurityTracker Alert ID:  1019686
SecurityTracker URL:  http://securitytracker.com/id/1019686
CVE Reference:   CVE-2008-1092   (Links to External Site)
Updated:  Mar 25 2008
Original Entry Date:  Mar 22 2008
Impact:   Execution of arbitrary code via network, User access via network
Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): Msjet40.dll prior to 4.0.9505.0
Description:   A vulnerability was reported in Microsoft Jet, which can be exploited via Microsoft Word. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted database file that, when loaded by the target user, will trigger a buffer overflow in 'msjet40.dll' and execute arbitrary code on the target system. The code will run with the privileges of the target user.

A specially crafted Word document can trigger this overflow.

Word 2000 SP3, 2002 SP3, 2003 SP2 and SP3, and 2007 and 2007 SP1 are affected when running on Windows 2000, Windows XP, or Windows Server 2003 SP1.

Windows Server 2003 SP2, Windows Vista, and Windows Vista SP1 are not affected.

Limited and targeted attacks are attempting to exploit this vulnerability.

[Editor's note: Microsoft has confirmed that this vulnerability is the same vulnerability as previously reported by cocruder in Alert ID 1018976 in November 2007. However, the attack vector using Microsoft Word is a new attack vector.]

Impact:   A remote user can create a database file or Word file that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   No solution was available at the time of this entry.

The Microsoft advisory is available at:

http://www.microsoft.com/technet/security/advisory/950627.mspx

The Microsoft blog entry is available at:

http://blogs.technet.com/msrc/archive/2008/03/24/update-msrc-blog-microsoft-security-advisory-950627.aspx

Vendor URL:  www.microsoft.com/technet/security/advisory/950627.mspx (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (2000), Windows (2003), Windows (XP)

Message History:   None.


 Source Message Contents

Date:  Fri, 21 Mar 2008 19:57:22 -0500
Subject:  Vulnerability in Microsoft Jet Database Engine (Jet) Could Allow Remote Code Execution


http://www.microsoft.com/technet/security/advisory/950627.mspx

CVE-2008-1092
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC